package com.rjconsultores.ventaboletos.web.gui.controladores.relatorios.integracaoantifraude;

import java.util.List;

public enum EStatusKondutoTotalBus {
	PENDENTE("P", "Pendente"),
	APROVADO("A", "Aprovado"),
	NEGADO("N", "Negado"),
	STATUS_NEGADO_CARTAO("NC", "Cartao não Aprovado");
	
	private String id; 
	private String descricao;
	
	private EStatusKondutoTotalBus(String id, String descricao) {
		this.id = id;
		this.descricao = descricao;
	}

	public String getId() {
		return id;
	}

	public String getDescricao() {
		return descricao;
	}
	
	public static EStatusKondutoTotalBus getStatusKondutoPorId(String id) {
		for (EStatusKondutoTotalBus status : EStatusKondutoTotalBus.values()) {
			if (status.getId().equals(id)) {
				return status;
			}
		}
		throw new IllegalArgumentException("Status Konduto totalBus não encontrado.");
	}
	
	public static String getDescricaoTodos(List<EStatusKondutoTotalBus> list) {
		StringBuilder str = new StringBuilder();
		for (EStatusKondutoTotalBus eStatusKondutoTotalBus : list) {
			if(str.length() > 0) {
				str.append(", ");
			}
			str.append(eStatusKondutoTotalBus.getDescricao());
		}
		return str.toString();
	}
	
	public static String getIdTodos(List<EStatusKondutoTotalBus> list) {
		StringBuilder str = new StringBuilder();
		for (EStatusKondutoTotalBus eStatusKondutoTotalBus : list) {
			if(str.length() > 0) {
				str.append(", ");
			}
			str.append("'").append(eStatusKondutoTotalBus.getId()).append("'");
		}
		return str.toString();
	}
	
}
